uniform int animation;
uniform float weightingFact;

varying vec4 ShadowKoordinaten;
varying vec3 normal;
varying vec3 v;
varying vec3 l;
varying float distance;
varying vec4 ambientGlobal;

void main()
{
	vec4 blendedPos_vert;
	vec3 blendedPos_norm;

	if(animation == 1)
	{
		vec4 keyFrameA_vert = gl_Vertex;
		vec3 keyFrameA_norm = gl_Normal;

		vec4 keyFrameB_vert = vec4(gl_MultiTexCoord5.x, gl_MultiTexCoord5.y, gl_MultiTexCoord5.z, 1.0);
		vec3 keyFrameB_norm = gl_MultiTexCoord6.xyz;

		blendedPos_vert = mix(keyFrameA_vert, keyFrameB_vert, weightingFact);
		blendedPos_norm = mix(keyFrameA_norm, keyFrameB_norm, weightingFact);
	}

	v					= vec3(gl_ModelViewMatrix * gl_Vertex);
	l					= normalize(gl_LightSource[0].position.xyz - v);
	ShadowKoordinaten	= gl_TextureMatrix[7] * gl_Vertex; 
	gl_FrontColor		= gl_Color;
	gl_TexCoord[0]		= gl_MultiTexCoord0;
	ambientGlobal		= gl_LightModel.ambient * gl_FrontMaterial.ambient;

	if(animation == 1)
	{
		gl_Position = gl_ModelViewProjectionMatrix * blendedPos_vert;
		normal = normalize(gl_NormalMatrix * blendedPos_norm);
	}
	else
	{
		gl_Position = ftransform();
		normal      = normalize(gl_NormalMatrix* gl_Normal);
	}
	distance		= length(vec3(gl_LightSource[0].position - gl_Position));
}
